FlxpointAPI Help CenterBeta

Update Inventory Variants

puthttps://api.flxpoint.com/inventory/variants

Use this when you want to replace inventory data through the API.

๐Ÿ”‘ X-API-TOKENโฑ 2 req/sToken: Account ยท Source ยท Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint is used to update inventory variants. (Up to 50 in one request)

Request

Query parameters
  • modifyCostquerystring

    Should the cost of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyMsrpquerystring

    Should the MSRP of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyMapquerystring

    Should the MAP of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyQuantityquerystring

    Should the quantity of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyShippingCostquerystring

    Should the shipping cost of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyDropShipFeequerystring

    Should the dropship fee of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyInventoryListPricequerystring

    Should the inventory list price of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyAllowBackordersquerystring

    Should allow back orders of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyWeightquerystring

    Should the weight of the variant be modified

  • modifyHeightquerystring

    Should the height of the variant be modified

  • modifyLengthquerystring

    Should the length of the variant be modified

  • modifyWidthquerystring

    Should the width of the variant be modified

  • modifyWeightUnitquerystring

    Should the dimension unit of the variant be modified

  • modifyDimensionUnitquerystring

    Should the weight unit of the variant be modified

  • modifyRequiresFflquerystring

    Should the `requiresFfl` field of the variant be modified

    allowednoneupdateupdateNonNull
  • modifyCustomFieldsquerystring

    Should custom fields of the variant be modified

    allowednoneupdatemergedeleteIncludeddeleteAll
Bodyapplication/json
array[UpdateInventoryVariantRequest]
inventoryVariantIdinteger (int64)required
skustringrequired
costnumber
msrpnumber
mapnumber
quantityinteger
shippingCostnumber
dropshipFeenumber
inventoryListPricenumber
allowBackordersboolean
customAggregateFieldUpdatesarray[InventoryVariantCustomAggregateFieldCreateOrUpdate]
namestring
valuenumber
archivedboolean
Optional parameter. Values of null will be treated as no change is requested.
weightnumber
heightnumber
widthnumber
lengthnumber
weightUnitobject
handlestring
allowedpoundouncegramkilogram
abbreviatedHandlestring
allowedlbozgkg
dimensionUnitobject
handlestring
allowedinchcentimeter
abbreviatedHandlestring
allowedincm
requiresFflboolean
Indicate if FFL information will be required to fulfill this inventory variant
customFieldsarray[InventoryVariantCustomFieldCreateOrUpdate]
namestring
valuestring

Example request

put/inventory/variants
curl -X PUT "https://api.flxpoint.com/inventory/variants" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
         {
           "inventoryVariantId": 0,
           "sku": "string",
           "cost": 0,
           "msrp": 0,
           "map": 0,
           "quantity": 0,
           "shippingCost": 0,
           "dropshipFee": 0,
           "inventoryListPrice": 0,
           "allowBackorders": true,
           "customAggregateFieldUpdates": [
             {
               "name": "string",
               "value": 0
             }
           ],
           "archived": true,
           "weight": 0,
           "height": 0,
           "width": 0,
           "length": 0,
           "weightUnit": {
             "handle": "pound",
             "abbreviatedHandle": "lb"
           },
           "dimensionUnit": {
             "handle": "inch",
             "abbreviatedHandle": "in"
           },
           "requiresFfl": true,
           "customFields": [
             {
               "name": "string",
               "value": "string"
             }
           ]
         }
       ]'
Example body ยท application/json
[
  {
    "inventoryVariantId": 0,
    "sku": "string",
    "cost": 0,
    "msrp": 0,
    "map": 0,
    "quantity": 0,
    "shippingCost": 0,
    "dropshipFee": 0,
    "inventoryListPrice": 0,
    "allowBackorders": true,
    "customAggregateFieldUpdates": [
      {
        "name": "string",
        "value": 0
      }
    ],
    "archived": true,
    "weight": 0,
    "height": 0,
    "width": 0,
    "length": 0,
    "weightUnit": {
      "handle": "pound",
      "abbreviatedHandle": "lb"
    },
    "dimensionUnit": {
      "handle": "inch",
      "abbreviatedHandle": "in"
    },
    "requiresFfl": true,
    "customFields": [
      {
        "name": "string",
        "value": "string"
      }
    ]
  }
]

Responses

200OKapplication/json
array[UpdateInventoryVariantResponse]
inventoryVariantIdinteger (int64)
skustring
successboolean
Indicates whether the update was successful
messagestring
If the update was unsuccessful this will indicate why
Example response
[
  {
    "inventoryVariantId": 0,
    "sku": "string",
    "success": true,
    "message": "string"
  }
]
400Bad Request

No schema documented for this status.

OpenAPI fragment
{
  "put": {
    "summary": "Update Inventory Variants",
    "description": "This endpoint is used to update inventory variants. (Up to 50 in one request)",
    "parameters": [
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyCost",
        "description": "Should the cost of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyMsrp",
        "description": "Should the MSRP of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyMap",
        "description": "Should the MAP of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyQuantity",
        "description": "Should the quantity of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyShippingCost",
        "description": "Should the shipping cost of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyDropShipFee",
        "description": "Should the dropship fee of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyInventoryListPrice",
        "description": "Should the inventory list price of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "update"
        },
        "in": "query",
        "name": "modifyAllowBackorders",
        "description": "Should allow back orders of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyWeight",
        "description": "Should the weight of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyHeight",
        "description": "Should the height of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyLength",
        "description": "Should the length of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyWidth",
        "description": "Should the width of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyWeightUnit",
        "description": "Should the dimension unit of the variant be modified"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "modifyDimensionUnit",
        "description": "Should the weight unit of the variant be modified"
      },
      {
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "updateNonNull"
          ],
          "default": "updateNonNull"
        },
        "in": "query",
        "name": "modifyRequiresFfl",
        "description": "Should the `requiresFfl` field of the variant be modified"
      },
      {
        "name": "modifyCustomFields",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "none",
            "update",
            "merge",
            "deleteIncluded",
            "deleteAll"
          ]
        },
        "description": "Should custom fields of the variant be modified"
      }
    ],
    "requestBody": {
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "maxItems": 50,
            "items": {
              "$ref": "#/components/schemas/UpdateInventoryVariantRequest"
            }
          },
          "examples": {
            "example-1": {
              "value": [
                {
                  "inventoryVariantId": 0,
                  "sku": "string",
                  "cost": 0,
                  "msrp": 0,
                  "map": 0,
                  "quantity": 0,
                  "shippingCost": 0,
                  "dropshipFee": 0,
                  "inventoryListPrice": 0,
                  "allowBackorders": true
                }
              ]
            }
          }
        }
      }
    },
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/UpdateInventoryVariantResponse"
              }
            }
          }
        }
      },
      "400": {
        "description": "Bad Request"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight